Subject: [bmwg] Question about using the IPv6 benchmarking address space

From: David Schinazi <[email-masked]>
Date: Fri, 24 Jul 2015 22:59:17 +0200

Hi bmwg,

We would like to use addresses from the IPv6 benchmarking prefix on an independent test network and wonder if there are issues
we have not thought of.

A little background on what we're doing: in OS X El Capitan we introduced a NAT64 mode for the Mac's Internet Sharing feature
to allow iOS developers to test their applications for IPv6 support. Using this, you can share your IPv4 internet connectivity
(e.g. from ethernet) to a newly created Wi-Fi network that only supports IPv6, and the Mac will perform NAT64+DNS64.
Currently the internal addresses of that network are using the Teredo prefix (2001::/64) and we have been advised to use
something that is not treated differently by RFC 6724 (Default Address Selection for IPv6).
We thought that since this is a testing network and that those addresses never leave that link, using the benchmarking prefix
from RFC5180(+ errata) (2001:2/32) would be reasonable. We thought that using 2001:2:a:bb1e/64 as our network prefix
would be appropriate, as "a:bb1e" looks a bit like "apple". Note that this is the prefix advertised by RA to the Wi-Fi network,
it is not the prefix of the NAT64 translation.

Does anyone think there could be any issues with this?

Thanks,
David Schinazi
Apple CoreOS Networking Engineer

---

From: "GEORGESCU LIVIU MARIUS" <[email-masked]>
Date: Sat, 25 Jul 2015 11:25:42 +0200

Just to clarify, the IPv6 prefix mentioned in RFC5180(+errata) is 2001:2::/48 and in my understanding does not include the the prefix 2001:2:a:bb1e::/64. However, I don't think there's any issue with using it in the context of an isolated testing environment. 

Marius

On 07/24/15, David Schinazi  <[email-masked]> wrote:
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bmwg
>

---

From: David Schinazi <[email-masked]>
Date: Sat, 25 Jul 2015 11:41:18 +0200

Thanks for clarifying Marius, I must have misread /32 instead of /48.
In that case, let me amend my question to use a prefix like this instead:
2001:2:0:aab1/64
(named after our NASDAQ symbol AAPL)

Thanks,
David

> On Jul 25, 2015, at 11:25, GEORGESCU LIVIU MARIUS <[email-masked]> wrote:
> 
>> https://www.ietf.org/mailman/listinfo/bmwg <https://www.ietf.org/mailman/listinfo/bmwg>

---

From: "GEORGESCU LIVIU MARIUS" <[email-masked]>
Date: Sat, 25 Jul 2015 12:31:13 +0200

The amended prefix is within the specifications of RFC5180. But again, I don't know if it's really necessary to change the prefix. I am not sure, but my guess is that IANA allocated the prefix to prevent any of the benchmarking traffic reaching the Internet. 

That being said, I don't see any problem with using 2001:2:a:bb1e::/64 in an isolated test environment.

However, if respecting the recommendations of RFC5180 is desired, you should also consider the following note in RFC5180:

" Note: Similar to RFC 2544(https://tools.ietf.org/html/rfc2544) avoiding the use of RFC 1918(https://tools.ietf.org/html/rfc1918) address space for benchmarking tests, this document does not recommend the use of RFC 4193(https://tools.ietf.org/html/rfc4193) [4(https://tools.ietf.org/html/rfc5180#ref-4)] (Unique Local Addresses) in order to minimize the possibility of conflicts with operational traffic."

This is relevant for the discussion in v6ops about using ULA, which is not recommended by RFC5180. 

Marius